/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: edir_shmem_mmap.h,v 1.1.2.3.2.1 2000/10/19 17:59:07 jasona Exp $
 */

#ifndef __EDIR_SHMEM_MMAP_H__
#define __EDIR_SHMEM_MMAP_H__ 1
#ifdef __cplusplus
extern "C" {
#endif

/**
 * Default location of the shared memory file to be mapped.
 */
#ifdef EDIR_AC_DEF_SB_DATA_FILE
#define EDIR_SHMEM_MMAP_DEFAULT_FILE EDIR_AC_DEF_SB_DATA_FILE
#else
#define EDIR_SHMEM_MMAP_DEFAULT_FILE "/tmp/enhydra_director.data"
#endif

/**
 * Maximum size of mapped shared memory segment.  Used for sanity checking.
 * If you need a larger scoreboard than this, change this number as
 * needed.
 */
#define EDIR_SHMEM_MMAP_MAX_SIZE	1000000

#ifdef __cplusplus
} /* Extern "C" */
#endif
#endif /* __EDIR_SHMEM_MMAP_H__ */

