/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: edir_string.h,v 1.1.2.3.2.1 2000/10/19 17:59:07 jasona Exp $
 */
#ifndef __EDIR_STRING_H__
#define __EDIR_STRING_H__ 1
#ifdef __cplusplus
extern "C" {
#endif

#define EDIR_PARSE_URI_PATH_INFO		(0)
#define EDIR_PARSE_URI_PATH_PARAMS	(1)
#define EDIR_PARSE_URI_PATH_PARAM_1	(2)
#define EDIR_PARSE_URI_PATH_PARAM_2	(3)
#define EDIR_PARSE_URI_QUERY_STRING	(4)

extern char * edir_strdup(const char *s);

extern char * edir_vasprintf(const char *fmt, va_list ap);

extern char * edir_asprintf(const char *fmt, ...);

extern int edir_strcasecmp(const char *s1, const char *s2);

extern int edir_strncasecmp(const char *s1, const char *s2, int32 len);

extern char * edir_strcasestr(const char *s, const char *find);

extern char * edir_strtrim(const char *s);

extern char * edir_strtrimpath(const char *s);

extern int edir_atoi(const char *s, int32 *ivp);

extern void * edir_sbuf_create();

extern int32 edir_sbuf_appendf(void *sbuf, char *fmt, ...);

extern int32 edir_sbuf_strcat(void *sbuf, char *str);

extern int32 edir_sbuf_strcatn(void *sbuf, char *str);

extern int32 edir_sbuf_bincat(void *sbuf, void *data, int32 len);

extern int32 edir_sbuf_bincatn(void *sbuf, void *data, int32 len);

extern char * edir_sbuf_tostring(void *sbuf, int32 *lenp);

extern struct iovec * edir_sbuf_get_iov(void *sbuf, int32 *lenp);

extern int32 edir_sbuf_copy_into(void *sbuf, void *buf, int32 len);

extern int32 edir_sbuf_length(void *sbuf);

extern void edir_sbuf_clear(void *sbuf);

extern void edir_sbuf_skip(void *sbuf, int32 niovs);

extern void edir_sbuf_free(void *sbuf);

extern void edir_parse_uri(char *uri, void *funcData, 
	     void (*func)(void *ptr, int type, char *lhs, char *rhs));

#ifdef __cplusplus
} /* Extern "C" */
#endif
#endif /* __EDIR_STRING_H__ */
