#!/bin/sh
#
# createMakefile.sh
#
#

# set DEBUG to /dev/null or /dev/tty
DEBUG=/dev/null
#DEBUG=/tmp/mg.out

script=$0
scriptDir=`echo $script | sed 's,\(/.*/\).*,\1,'`
[ $script = $scriptDir ] && scriptDir=.
 
echo scriptDir=$scriptDir >> $DEBUG
 
rootdir=$1
shift
pkgdir=$1
shift
basedir=$1
shift
extracp=$1
shift

cat << END_DEBUG >> $DEBUG

createMakefile.sh
    rootdir = $rootdir
    pkgdir  = $pkgdir
    basedir = $basedir
    extracp = $extracp
END_DEBUG

pkgdir=`echo $pkgdir | sed "s,$basedir,,"`

echo cd $basedir/$pkgdir >> $DEBUG
cd $basedir/$pkgdir

subdirs=`ls -l | grep '^d' | grep -v classes | awk '{s=s" "$NF}END{print s}'`

#ls *.java >> $DEBUG

classes=
sources=`echo *.java`

echo sources=$sources >> $DEBUG

if [ "$sources" = '*.java' ]; then
    sources=
    rm_sources="echo continuing..."
else
    classes=`echo $sources | sed 's,\.java,,g'`
    rm_sources="rm $sources"
fi

echo subdirs=$subdirs >> $DEBUG
echo sources=$sources >> $DEBUG
echo classes=$classes >> $DEBUG

answer=`$scriptDir/fixMakefiles.sh`
echo answer=$answer >> $DEBUG
[ "$answer" != "" ] && {
    set $answer
    rootvar=$1
    rootdir=$2
    pkgdir=`echo $3 | sed -e 's,\.,/,g' -e 's,;,,'`
    #echo pkgdir=$pkgdir
    [ "$pkgdir" = "$rootdir" ] && pkgdir=""
    [ "$pkgdir" = no_java ] && pkgdir=""
    inc_rem=$4
}

echo rootdir=$rootdir >> $DEBUG
echo pkgdir=$pkgdir >> $DEBUG

[ -f Makefile ] && rm Makefile
[ -f Makefile ] && {
	echo CANNOT REMOVE MAKEFILE
	ls -l `pwd`/Makefile 
	echo ABORTING.
}

#ls -l Makefile >> $DEBUG
#echo boo >> $DEBUG

cat << END_MAKEFILE > Makefile

$rootvar =		$rootdir

PACKAGEDIR = 	$pkgdir

CLASSES = 	$classes

SUBDIRS = 	$subdirs

include \$($rootvar)/config.mk

ENHYDRA_CLASSPATH:=$extracp\${PS}\${ENHYDRA_CLASSPATH}

${inc_rem}include \${STDRULES}

END_MAKEFILE

exit

# TODO
# rigging the top level makefile to concatenate all the .table files
# and create a shell script that will use the appropriate db utility
# to run them.

[ X != X$pkgdir ] && exit

# We are generating the top level Makefile

cat << END_MAKEFILE2 >> Makefile

create_db_script:
	mkdir -p \$(ROOT)/db_scripts; \

END_MAKEFILE2
